Name:           perl-Email-LocalDelivery
Version:        1.201
Release:        1%{?dist}
Summary:        Deliver a piece of email - simply
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Email-LocalDelivery/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Email-LocalDelivery-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.012
BuildRequires:  perl(Carp)
BuildRequires:  perl(Email::FolderType) >= 0.7
BuildRequires:  perl(Email::Simple) >= 1.998
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Path::Expand) >= 1.01
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(warnings)
BuildRequires:  perl-macros
BuildRequires:  perl-generators
Requires:       perl(Carp)
Requires:       perl(Email::FolderType) >= 0.7
Requires:       perl(Email::Simple) >= 1.998
Requires:       perl(Fcntl)
Requires:       perl(File::Basename)
Requires:       perl(File::Path)
Requires:       perl(File::Path::Expand) >= 1.01
Requires:       perl(strict)
Requires:       perl(Symbol)
Requires:       perl(Sys::Hostname)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module delivers an email to a list of mailboxes.

%prep
%setup -q -n Email-LocalDelivery-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jan 04 2023 Luigi Iotti 1.201-1
- Specfile autogenerated by cpanspec 1.78.
